org.firebirdsql.event

## Interface EventListener

    public interface EventListener

An interface for callbacks in response to Firebird events

Author:
  Gabriel Reid

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `eventOccurred(DatabaseEvent event)` Called when a database event occurs.

### Method Detail

#### eventOccurred

    void eventOccurred(DatabaseEvent event)

Called when a database event occurs.

Parameters:
  `event` - Object with information about the event that has occurred